Package org.silverpeas.mobile.client.common.file

## Class FileMgr.DirectoryEntry

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - org.silverpeas.mobile.client.common.file.FileMgr.Entry
    - - org.silverpeas.mobile.client.common.file.FileMgr.DirectoryEntry

- Enclosing class:
    FileMgr

      public static class FileMgr.DirectoryEntry
      extends FileMgr.Entry

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DirectoryEntry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileMgr.DirectoryReader` | `createReader()` |
    `void` | `getDirectory​(String path, FileMgr.FileOptions options, FileMgr.EntryCallback callback)` |
    `void` | `getFile​(String path, FileMgr.FileOptions options, FileMgr.EntryCallback callback)` |
    `void` | `removeRecursively​(FileMgr.FileMgrCallback callback)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.file.FileMgr.Entry

      `copyTo, getFullPath, getMetadata, getName, getParent, isDirectory, isFile, moveTo, remove, toURI`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryEntry

          protected DirectoryEntry()

  - ### Method Detail

    - #### createReader

          public final FileMgr.DirectoryReader createReader()

    - #### getDirectory

          public final void getDirectory​(String path,
                                         FileMgr.FileOptions options,
                                         FileMgr.EntryCallback callback)

    - #### getFile

          public final void getFile​(String path,
                                    FileMgr.FileOptions options,
                                    FileMgr.EntryCallback callback)

    - #### removeRecursively

          public final void removeRecursively​(FileMgr.FileMgrCallback callback)